Subject: Init Other Cross Domain

From: "Candy Elder ((919)254-4113)" <[email-masked]>
Date: Fri, 20 May 94 15:20:31 EDT

Dario,
      Thanks for your reply.  I had the correct page and correct sense
code, but wrong paragraph.  It should have been the paragraph preceding
the paragraph that I indicated.

- X'10105002' is generated when the SS of the NN(OLU), NN(DLU), or
  CP(DLU) detected the absence of a CD-Initiate on a successful
  (all-zero sense data value in the LOCATE_MESSAGE from DS) distributed
  search for the DLU (not in the same node as the OLU).  The SS
  detecting the error provides the sense data in a LOCATE_MESSAGE to
  its DS, which returns the Locate to SS of the originating end node.

DS at the CP(DLU) builds a CV35 with the sense data field containing
X'10105002' and the Identifier field containing the GDS
variable identifier, X'12C5', to identify the cause for generating
the CV35.  The Locate (including the CV35) and Found are returned
to the NN(OLU).

We realize that the X'10105002' sense data value explanations in the
SNA Formats and in the APPN Architecture Reference are misleading.  We
will fix them.

Regards, Candy
 ------------------------------- Referenced Note ----------------------- ----
From: Dario Calia <[email-masked]>
Subject: Re: Init Other Cross Domain
To: [email-masked] (Candy Elder)
Date: Fri, 20 May 94 9:51:17 PDT
Cc: [email-masked]

Hello Candy,

What you describe is the action at the OLU not at the DLU.  I believe
Dave is looking for what he should do at the NN(DLU).  Responding with
a Locate and Found seems reasonable since it will allow the NN(OLU) to
cache the DLU location and reduce future broadcasts.  However, the DLU should
set a sense code and send a CV35 back to the OLU.  I am away from my
office so I can`t look up the sense code.  Someone else will have to do
the honors and bless the contents of the response, too.

Ciao,
-----------------------------------------------------------------------------
Dario Calia              Cisco Systems, Inc.
Software Engineering     1525 O'Brien Drive                   |        |
[email-masked]         Menlo Park, CA 94025-1435           |||      |||
                         (415)324-5263                   ..|||||||..|||||||..
-----------------------------------------------------------------------------
> According to the APPN Architecture Reference, for Session Services,
> p. 5-43, when the CD Initiate GDS variable is missing.... :
>
> CAUSE: "The local SS, detects that the LOCATE_MESSAGE received from
> DS did not include a CD-Initiate after a successful (all-zero sense
> data value from DS) distributed search for the DLU ...
> For this failure, the appropriate sense data is X'10105002'."
>
> ACTION: SS sends SM an INIT_SIGNAL_NEG_RSP containing the appropriate
> sense data.
>
> Regards, Candy
> ------------------------------- Referenced Note ---------------------------
> Date: Fri, 20 May 94 15:10:16 EST
> From: [email-masked] (Dave Finnie)
> Message-Id: <[email-masked]>
> To: [email-masked]
> Subject: Init Other Cross Domain
>
> We have recently been testing with VTAM 4.1 and have come
> across the case where it sends our node a message on the
> CP-CP session that contains a LOCATE, FIND and INIT-OTHER
> CROSS-DOMAIN (X'12CD') GDS combination. No CD INIT is present.
>
> I understand from the architecture reference that we should
> handle unrecognised GDSs, but how should we respond if
> we find the resource in our local database ? SS would not be
> able to make any sense out of the INIT-OTHER-CD, as it is
> not yet part of the open architecture. Do we just respond
> with a LOCATE, FOUND and nothing else ?
>
> Dave
>